from fastapi import APIRouter

from database.database import *
from models.request import *

router = APIRouter()

@router.post("/cleardb", response_description="Clears database cache")
async def cleardb():
    await clear_requests()

@router.get("/dbcache", response_description="Show database contents", response_model=List[Request])
async def showcache():
    return await retrieve_requests()